## xserver-xlibre-video-amdgpu 25.0.1

=== meson_options.txt ===
option('udev', type: 'feature', description: 'Enable libudev support')
option('glamor', type: 'feature', description: 'Enable glamor acceleration')
option('moduledir', type: 'string', value: 'xorg/modules', description: 'XLibre module directory')
option('configdir', type: 'string', value: 'share/X11/xorg.conf.d', description: 'Xorg.conf.d directory')

## xserver-xlibre-video-amdgpu 23.0.0

=== debian/changelog ===
xserver-xlibre-video-amdgpu (23.0.0-1+5gnuinos1) unstable; urgency=medium

  * debian/control: Pin versions in Provides fields
  * debian/gbp.conf: Use DEP-14 style branches
  * Initial release.

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 30 Sep 2025 20:46:27 +0200

=== debian/control ===
Source: xserver-xlibre-video-amdgpu
Section: x11
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Build-Depends:
 debhelper (>= 11),
 quilt,
 libdrm-dev (>= 2.4.89) [!hurd-i386],
 libgl-dev,
 libgbm-dev,
 libudev-dev [linux-any],
 pkg-config,
 x11proto-dev,
 xserver-xlibre-dev (>= 2:1.16),
 xutils-dev (>= 1:7.5+4)
Standards-Version: 4.2.1
Origin: Gnuinos
Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-video-amdgpu.git
Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-video-amdgpu
Homepage: https://github.com/X11Libre

Package: xserver-xlibre-video-amdgpu
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides:
 xserver-xorg-video-amdgpu (= ${binary:Version}),
 ${xviddriver:Provides}
Suggests: firmware-amd-graphics
Description: XLibre X server -- AMDGPU display driver
 This package provides the 'amdgpu' driver for the AMD Radeon cards. The
 following chip families should be supported: Bonaire, Hawaii, Kaveri, Kabini
 Mullins, Iceland, Tonga, Carrizo, Fiji, Stoney.
 .
 More information about XLibre can be found at:
 <URL:https://www.github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xf86-video-amdgpu driver module.
Conflicts:
 xserver-xorg-video-amdgpu,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

XXV=xserver-xlibre-video
XDEP = $(shell cat /usr/share/xserver-xorg/videodrvdep)
XSUB = debian/$(XXV)-amdgpu.substvars

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/ -- \
		--libdir=/usr/lib \
		--with-xorg-module-dir=/usr/lib/xorg/modules

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Debug packages:
override_dh_strip:
	dh_strip -p$(XXV)-amdgpu

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_xsf_substvars:
	echo "xviddriver:Depends=$(XDEP)" >> $(XSUB)
	echo "xviddriver:Provides=xlibre-driver-video" >> $(XSUB)
#	dh_xsf_substvars

%:
	dh $@ --with quilt,xsf --builddirectory=build/

=== debian/watch ===
version=4
https://github.com/X11Libre/xf86-video-amdgpu/tags .*/xlibre-xf86-video-amdgpu-(.*)@ARCHIVE_EXT@

## xserver-xlibre-video-amdgpu 25.0.1

=== debian/changelog ===
xserver-xlibre-video-amdgpu (1:25.0.1-1+genuen6u1) unstable; urgency=medium

  * New upstream version 25.0.1

 -- Aitor <aitor@genuen.org>  Sun, 28 Dec 2025 23:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xserver-xlibre-video-amdgpu
 Section: x11
 Priority: optional
-Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
+Maintainer: Aitor <aitor@genuen.org>
+Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper (>= 11),
  quilt,
@@ -14,7 +15,7 @@
  xserver-xlibre-dev (>= 2:1.16),
  xutils-dev (>= 1:7.5+4)
 Standards-Version: 4.2.1
-Origin: Gnuinos
+Origin: Genuen
 Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-video-amdgpu.git
 Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-video-amdgpu
 Homepage: https://github.com/X11Libre
